package com.dxhy.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.job.entity.*;
import com.dxhy.core.job.pojo.down.RecordInvoiceDetailModel;
import com.dxhy.core.job.pojo.down.RecordInvoiceDownModel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author user
 */

@Mapper
public interface CoreInvoiceDownDao extends BaseMapper<TDxHttpLogInvoiceDown> {

    List<String> getNoParse();

    List<TDxHttpLogInvoiceDown> getNotParseHttpLogs(String taxno);

    void updateNotParseHttpLogsStatus(List<TDxHttpLogInvoiceDown> logs);

    void updateHttoLogById(TDxHttpLogInvoiceDown tDxHttpLog);

    void delDetailIncome(@Param("uuid") String s);

    void insertDetailIncome(@Param("entity") RecordInvoiceDetailModel invoiceDetailInfo);

    void delDetailSales(@Param("uuid") String s);

    void insertDetailSales(@Param("entity") RecordInvoiceDetailModel invoiceDetailInfo);

    int getDetailCount(@Param("uuid") String s, @Param("detail") String t_dx_record_invoice_detail);

    void updateRecordInvoice(RecordInvoiceDownModel invoice);

    void updateSaleRecordInvoice(RecordInvoiceDownModel invoice);

    void updateHttpLogById(TDxHttpLogInvoiceDown tDxHttpLog);

    int findCustoms(@Param("customsCode") String customsCode, @Param("fillDate") String fillDate);
}
